> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a Temporary EVSE Status

> Removing a Temporary EVSE Status will make the eMSP Apps use the default charger statuses, like 'Available'.



## OpenAPI

````yaml /openapi/integration-api-v2/openapi.yaml delete /v2/temporary-evse-statuses/{id}
openapi: 3.0.0
info:
  title: Spirii API
  description: Spirii API
  version: 2.10.0
  contact: {}
servers:
  - url: https://api.spirii.com
security: []
tags: []
paths:
  /v2/temporary-evse-statuses/{id}:
    delete:
      tags:
        - Temporary EVSE Statuses v2
      summary: Remove a Temporary EVSE Status
      description: >-
        Removing a Temporary EVSE Status will make the eMSP Apps use the default
        charger statuses, like 'Available'.
      operationId: TemporaryEvseStatusController_remove_v2
      parameters:
        - name: id
          required: true
          in: path
          description: The ID of the Temporary EVSE Status to remove
          schema:
            type: number
      responses:
        '204':
          description: The Temporary EVSE Status has been successfully removed
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBadRequestDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiUnauthorizedDto'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiForbiddendDto'
        '404':
          description: Temporary EVSE status not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiNotFoundDto'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiInternalServerErrorDto'
        '503':
          description: Service unavailable
components:
  schemas:
    ApiBadRequestDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        message:
          description: Validation error messages
          example:
            - validFrom cannot be greater than validTo
          type: array
          items:
            type: string
        error:
          type: string
          description: More detailed error description if available
          example: Bad Request
      required:
        - statusCode
        - message
    ApiUnauthorizedDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 401
        message:
          type: string
          description: Error message
          example: Unauthorized
        error:
          type: string
          description: More detailed error description if available
          example: Unauthorized
      required:
        - statusCode
        - message
    ApiForbiddendDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 403
        message:
          type: string
          description: Error message
          example: Forbidden
        error:
          type: string
          description: More detailed error description if available
          example: Forbidden
      required:
        - statusCode
        - message
    ApiNotFoundDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 404
        message:
          type: string
          description: Error message
          example: Not Found
        error:
          type: string
          description: More detailed error description if available
          example: Not Found
      required:
        - statusCode
        - message
    ApiInternalServerErrorDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error message
          example: Internal Server Error
        error:
          type: string
          description: More detailed error description if available
          example: Internal Server Error
      required:
        - statusCode
        - message

````